function [correct] = sinusoidalcorrect(n)

% calculates the correct bending of a wooden board under its own weight
gravity = -9.81;
density = 480;
h = 2 / n;        % 2 meter board discretized into n pieces
width = 0.3;      % 30cm
thickness = 0.03; %  3cm
E = 1.3e10;
I = width * thickness^3 / 12;
force = gravity*density*width*thickness; % force per unit of length
p = 100;

correct = zeros(n, 1);

for k=1:n
    x = h * k;
    correct(k,1) = force/24/E/I * x^2 * (x^2 - 8*x + 24) + (p*gravity*2/(E*I*pi))*( 8/(pi^3)*sin(pi/2*x)-(x^3)/6+(x^2)-4/(pi^2)*x);
end